<?php if ( is_home() || is_front_page() ) { ?>

<?php $hidefeaturessection = of_get_option('hidefeaturessection', '1'); ?>
<?php if($hidefeaturessection == ''){ ?> 

  <div class="container pagefeaturecolumn">   
<?php
			$title_arr = array( esc_attr__('Biochar','agronomics-pro'), esc_attr__('Microalgae','agronomics-pro'), esc_attr__('Vehicles','agronomics-pro'));
			
			$colArr = array();
			   if( of_get_option('featurecolumn1',true) != '' ){
				$colArr[] = of_get_option('featurecolumn1',false);
			   }
			   if( of_get_option('featurecolumn2',true) != '' ){
				$colArr[] = of_get_option('featurecolumn2',false);
			   }
			   if( of_get_option('featurecolumn3',true) != '' ){
				$colArr[] = of_get_option('featurecolumn3',false);
			   }			  			  			   			  
			
			if (!array_filter($colArr)) {
			for($fx=1; $fx<=3; $fx++) {
			?>
            <div class="features_column rdbx<?php echo $fx ?>">
           
             <div class="imagebox"><a href="#"><img src="<?php echo get_template_directory_uri(); ?>/images/featureimg<?php echo $fx; ?>.png" alt="" /></a></div>
                  <h3><a href="#"><?php echo $title_arr[$fx-1]; ?></a></h3>
                  <p><?php esc_html_e('Cras metus quam, condimentu venen rutrum ediam. Sed vehicquis.', 'agronomics-pro') ?></p>                            
         	</div>
			<?php 
			} 
			} else {			
				$feature_column = array('no_column','one_column','two_column','three_column');
				$fx = 1;				
				$queryvar = new wp_query(array('post_type' => 'page', 'post__in' => $colArr, 'posts_per_page' => 3, 'orderby' => 'post__in' ));				
				while( $queryvar->have_posts() ) : $queryvar->the_post(); ?> 
        	    <div class="features_column <?php echo $feature_column[count($colArr)]; ?> rdbx<?php echo $fx ?>">  
                             
				<?php if( of_get_option('featurecolumnimg'.$fx, true) != '') { ?>	
                  <div class="imagebox">
                  <a href="<?php the_permalink(); ?>"><img alt="" src="<?php echo esc_url( of_get_option( 'featurecolumnimg'.$fx, true )); ?>" / ></a>
                  </div>               
                <?php } ?>    
                           
                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>                                  
                <p><?php echo wp_trim_words( get_the_content(), of_get_option('featurespageboxlength'), '' ); ?></p>                                  			  
               
        	   </div>
             <?php 
			 $fx++; 
			 endwhile;
			 wp_reset_postdata();
			 }  ?>  
        <div class="clear"></div>
    </div><!-- .container -->
<?php } ?>


<?php $hidewelcomesection = of_get_option('hidewelcomesection', '1'); ?>
<?php if($hidewelcomesection == ''){ ?>
<section id="agro_welcome_section">
    <div class="container">  
        <div class="welcome_wrap">
            <?php if( of_get_option('agrowelcomepage',false) ) { ?>
        	<?php $queryvar = new wp_query('page_id='.of_get_option('agrowelcomepage',true));				
			while( $queryvar->have_posts() ) : $queryvar->the_post(); ?>                       
                                             
                     <div class="welcome_contentcolumn">  
                      <h3><?php the_title(); ?></h3>  
                       <p><?php echo wp_trim_words( get_the_content(), of_get_option('agrowelcomepagelength'), '' ); ?></p> 
                        <?php if( of_get_option('agrowelcomepagereadmorebtn',true) != '') { ?>
                         <a class="btnstyle1" href="<?php the_permalink(); ?>"><?php echo of_get_option('agrowelcomepagereadmorebtn'); ?> </a>      
				        <?php } ?>      
                      </div> 
                      
                      <div class="welcome_imgcolumn">
                       <?php if( of_get_option('agrowelcomepageimg', true) != '') { ?>	
                          <img alt="" src="<?php echo esc_url( of_get_option( 'agrowelcomepageimg', true )); ?>" / >         
                       <?php } ?>
                     </div>           
                     <div class="clear"></div>     	  
             <?php endwhile;
						wp_reset_postdata(); ?>
        <?php } else { ?> 
               
               <div class="welcome_contentcolumn">               
                 <h3><?php esc_html_e('WELCOME TO AGRONOMICS','agronomics-pro'); ?></h3>                                      
              <p><?php esc_html_e('Vivamus gravida posuere lectus, a volutpat diam pulvinar vel. Proin vitae rhoncus ligula. Mauris dapibus magna diam, in posuere ipsum fringilla quis. Fusce nec tincidunt lorem. Nunc egestas mi urna, nec eleifend ipsum cursus eget. Nulla lorem dolor, varius in urna sed.','agronomics-pro'); ?></p> 
              
              <p><?php esc_html_e('Fermentum ullamcorper nibh. Duis nec est vel erat ullamcorper bibendum ac eu diam. Aenean arcu ex, commodo id ultrices at, euismod eget neque. Phasellus tristique condimentum eros. Fermentum ullamcorper nibh. Duis nec est vel erat ullamcorper bibendum ac eu diam. Aenean arcu ex, commodo id ultrices at, euismod eget neque. Phasellus tristique condimentum eros ','agronomics-pro'); ?></p>
                                
                 <?php if( of_get_option('agrowelcomepagereadmorebtn',true) != '') { ?>
                    <a class="btnstyle1" href="<?php the_permalink(); ?>"><?php echo of_get_option('agrowelcomepagereadmorebtn'); ?> </a>      
				  <?php } ?>       
                            
               </div> 
               <div class="welcome_imgcolumn">
                 <img src="<?php echo get_template_directory_uri(); ?>/images/welcome_thumb.jpg" alt="" />
               </div>               
               <div class="clear"></div>	       
		<?php } ?>
       
        </div>  
    </div><!-- .container -->
</section><!-- #agro_welcome_section -->
<?php } ?>


<?php $hideservicesbxsec = of_get_option('hideservicesbxsec', '1'); ?>
<?php if($hideservicesbxsec == ''){ ?>                    
<section id="servicespanel">
  <div class="container"> 
           
		<?php
			$title_arr = array( esc_attr__('Large Veggie Box','agronomics-pro'), esc_attr__('Groceries Pack','agronomics-pro'), esc_attr__('Groceries Pack','agronomics-pro'), esc_attr__('Large Veggie Box','agronomics-pro'));
			
			$colArr = array();
			   if( of_get_option('servicespagebx1',true) != '' ){
				$colArr[] = of_get_option('servicespagebx1',false);
			   }
			   if( of_get_option('servicespagebx2',true) != '' ){
				$colArr[] = of_get_option('servicespagebx2',false);
			   }
			   if( of_get_option('servicespagebx3',true) != '' ){
				$colArr[] = of_get_option('servicespagebx3',false);
			   }
			   if( of_get_option('servicespagebx4',true) != '' ){
				$colArr[] = of_get_option('servicespagebx4',false);
			   }
			   
			   if( of_get_option('servicespagebx5',true) != '' ){
				$colArr[] = of_get_option('servicespagebx5',false);
			   }
			   
			   if( of_get_option('servicespagebx6',true) != '' ){
				$colArr[] = of_get_option('servicespagebx6',false);
			   }			  			   			  
			
			if (!array_filter($colArr)) {
			for($fx=1; $fx<=4; $fx++) {
			?>
            <div class="services_page_box <?php if($fx % 2 == 0) { echo "last_column"; } ?>">
           
             <div class="thumbbx"><a href="#"><img src="<?php echo get_template_directory_uri(); ?>/images/services-image<?php echo $fx; ?>.jpg" alt="" /></a></div>
               <h3><a href="#"><?php echo $title_arr[$fx-1]; ?></a></h3>
               <p><?php esc_html_e('Nunc commodo lacinia ipsu, scelerisq cursus libero ullamcorperse. Praesent fermentum nisl neque tristique.', 'agronomics-pro') ?></p>                  <?php if( of_get_option('pagereadmorebutton',true) != '') { ?>
                    <a class="pagemore" href="#"><?php echo of_get_option('pagereadmorebutton'); ?></a>      
				  <?php } ?> 
          
         	</div>
			<?php 
			} 
			} else {			
				$services_column = array('no_column','one_column','two_column','three_column','four_column','five_column','six_column');
				$fx = 1;				
				$queryvar = new wp_query(array('post_type' => 'page', 'post__in' => $colArr, 'posts_per_page' => 6, 'orderby' => 'post__in' ));				
				while( $queryvar->have_posts() ) : $queryvar->the_post(); ?> 
        	    <div class="services_page_box <?php echo $services_column[count($colArr)]; ?> <?php if($fx % 2 == 0) { echo "last_column"; } ?>" >  
                             
				<?php if( of_get_option('servicespageimg'.$fx, true) != '') { ?>	
                  <div class="thumbbx">
                     <a href="<?php the_permalink(); ?>"><img alt="" src="<?php echo esc_url( of_get_option( 'servicespageimg'.$fx, true )); ?>" / ></a>
                  </div>               
                <?php } ?>    
                           
                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>                                  
                <p><?php echo wp_trim_words( get_the_content(), of_get_option('pageboxlength'), '' ); ?></p> 
                 <?php if( of_get_option('pagereadmorebutton',true) != '') { ?>
                    <a class="pagemore" href="<?php the_permalink(); ?>"><?php echo of_get_option('pagereadmorebutton'); ?></a>      
				  <?php } ?>                  			  
               
        	   </div>
             <?php 
			 $fx++; 
			 endwhile;
			 wp_reset_postdata();
			 }  ?>  
        <div class="clear"></div>
    </div><!-- .container -->
</section><!-- #servicespanel -->
<?php } ?>
<?php } ?>